summaryrefslogtreecommitdiffstats
path: root/graphics/opencolorio
diff options
context:
space:
mode:
author Christoph Willing2015-03-20 00:35:38 +0100
committer Willy Sudiarto Raharjo2015-03-20 09:42:53 +0100
commit455e41f966f87a24ede9bd92b41efa8eb9e37281 (patch)
tree27f534944960599a2f8fb3b6c658bc4bb7c1034b /graphics/opencolorio
parentfe357de360cac800800b2bf158da806f72cfe11c (diff)
downloadslackbuilds-455e41f966f87a24ede9bd92b41efa8eb9e37281.tar.gz
graphics/opencolorio: Added (Colour Management System).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'graphics/opencolorio')
-rw-r--r--graphics/opencolorio/README11
-rw-r--r--graphics/opencolorio/opencolorio.SlackBuild127
-rw-r--r--graphics/opencolorio/opencolorio.info10
-rw-r--r--graphics/opencolorio/slack-desc19
4 files changed, 167 insertions, 0 deletions
diff --git a/graphics/opencolorio/README b/graphics/opencolorio/README
new file mode 100644
index 0000000000..5800a1cee0
--- /dev/null
+++ b/graphics/opencolorio/README
@@ -0,0 +1,11 @@
+OpenColorIO (OCIO) is a complete color management solution geared
+towards motion picture production with an emphasis on visual effects
+and computer animation. OCIO provides a straightforward and
+consistent user experience across all supporting applications while
+allowing for sophisticated back-end configuration options suitable
+for high-end production usage. OCIO is compatible with the Academy
+Color Encoding Specification (ACES) and is LUT-format agnostic,
+supporting many popular formats.
+
+This package includes building of a shared object library for each of
+python2 and python3 provided python3 is available on the build system.
diff --git a/graphics/opencolorio/opencolorio.SlackBuild b/graphics/opencolorio/opencolorio.SlackBuild
new file mode 100644
index 0000000000..7e1d197180
--- /dev/null
+++ b/graphics/opencolorio/opencolorio.SlackBuild
@@ -0,0 +1,127 @@
+#!/bin/sh
+
+# Slackware build script for opencolorio
+
+# Copyright 2015 Christoph Willing Brisbane, Australia
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=opencolorio
+SRCNAM=OpenColorIO
+VERSION=${VERSION:-0.git20150311}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+PYTHON3_INCLUDE_DIR=$(pkg-config --cflags-only-I python3 |sed -e 's/-I//')
+PYTHON2_INCLUDE_DIR=$(pkg-config --cflags-only-I python2 |sed -e 's/-I//')
+if [ -e /usr/bin/python3 ]; then
+ PY2SITEDIR=$(python2 -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")
+ PY3SITEDIR=$(python3 -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")
+fi
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.gz
+cd $SRCNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p build
+cd build
+ cmake \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DLIB_SUFFIX=${LIBDIRSUFFIX} \
+ -DPYTHON=python2 \
+ -DPYTHON_INCLUDE_DIR:PATH=$PYTHON2_INCLUDE_DIR \
+ -DPYTHON_LIBRARY:PATH=$PY2SITEDIR \
+ -DOCIO_BUILD_STATIC:BOOL=OFF \
+ -DOCIO_BUILD_JNIGLUE:BOOL=OFF \
+ -DCMAKE_BUILD_TYPE=Release ..
+
+ make
+ make install DESTDIR=$PKG
+
+if [ -e /usr/bin/python3 ]; then
+ rm -rf *
+ cmake \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DLIB_SUFFIX=${LIBDIRSUFFIX} \
+ -DPYTHON=python3 \
+ -DPYTHON_INCLUDE_DIR:PATH=$PYTHON3_INCLUDE_DIR \
+ -DPYTHON_LIBRARY:PATH=$PY3SITEDIR \
+ -DOCIO_BUILD_STATIC:BOOL=OFF \
+ -DOCIO_BUILD_JNIGLUE:BOOL=OFF \
+ -DCMAKE_BUILD_TYPE=Release ..
+
+ make
+ make install DESTDIR=$PKG
+fi
+cd ..
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a INSTALL LICENSE README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/graphics/opencolorio/opencolorio.info b/graphics/opencolorio/opencolorio.info
new file mode 100644
index 0000000000..49aa99b716
--- /dev/null
+++ b/graphics/opencolorio/opencolorio.info
@@ -0,0 +1,10 @@
+PRGNAM="opencolorio"
+VERSION="0.git20150311"
+HOMEPAGE="http://opencolorio.org/"
+DOWNLOAD="http://sourceforge.net/projects/slackbuildsdirectlinks/files/opencolorio/OpenColorIO-0.git20150311.tar.gz"
+MD5SUM="f15fd4870b865aa1e6d432daea7a34f6"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="python3"
+MAINTAINER="Christoph Willing"
+EMAIL="chris.willing@iinet.net.au"
diff --git a/graphics/opencolorio/slack-desc b/graphics/opencolorio/slack-desc
new file mode 100644
index 0000000000..090e114578
--- /dev/null
+++ b/graphics/opencolorio/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+opencolorio: opencolorio (Color Management System)
+opencolorio:
+opencolorio: OpenColorIO (OCIO) is a complete color management solution geared
+opencolorio: towards motion picture production with an emphasis on visual effects
+opencolorio: and computer animation. OCIO provides a straightforward and
+opencolorio: consistent user experience across all supporting applications while
+opencolorio: allowing for sophisticated back-end configuration options suitable
+opencolorio: for high-end production usage. OCIO is compatible with the Academy
+opencolorio: Color Encoding Specification (ACES) and is LUT-format agnostic,
+opencolorio: supporting many popular formats.
+opencolorio: